function RaidMenuCallbackHandler:raid_quickplay()
    local was_cancelled = false
    local function cancel()
        was_cancelled = true
    end
    local function f(info)
        if was_cancelled then
            return
        end
        managers.system_menu:close("search_match")
        local room = info.room_list[math.random(#info.room_list)]
        managers.network.matchmake:join_server_with_check(room.room_id)
    end
	managers.network.matchmake:register_callback("search_lobby", f)
	managers.network.matchmake:search_lobby(false)
    managers.menu:show_searching_match_dialog({ cancel_func = cancel })
end
