local original_list_menu_data_source = RaidMainMenuGui._list_menu_data_source

function RaidMainMenuGui:_list_menu_data_source()
	local list_items = original_list_menu_data_source(self)
	table.insert(list_items, 1, {
		callback = "raid_quickplay",
		item_h = 72,
		item_font_size = 60,
		availability_flags = {
			RaidGUIItemAvailabilityFlag.IS_IN_MAIN_MENU,
			RaidGUIItemAvailabilityFlag.SHOULD_NOT_SHOW_TUTORIAL
		},
		text = utf8.to_upper(managers.localization:text("menu_quickplay"))
	})
	return list_items
end
